
package cz.moneta.test.dsl.cebia.iva;

import java.math.BigDecimal;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSFuelTankType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSFuelTankType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MainCapacityL" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="AdditionalCapacityL" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="LPG_CNG_CapacityL" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSFuelTankType", propOrder = {
    "mainCapacityL",
    "additionalCapacityL",
    "lpgcngCapacityL"
})
public class WSFuelTankType {

    @XmlElement(name = "MainCapacityL", nillable = true)
    protected BigDecimal mainCapacityL;
    @XmlElement(name = "AdditionalCapacityL", nillable = true)
    protected BigDecimal additionalCapacityL;
    @XmlElement(name = "LPG_CNG_CapacityL", nillable = true)
    protected BigDecimal lpgcngCapacityL;

    /**
     * Gets the value of the mainCapacityL property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getMainCapacityL() {
        return mainCapacityL;
    }

    /**
     * Sets the value of the mainCapacityL property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setMainCapacityL(BigDecimal value) {
        this.mainCapacityL = value;
    }

    /**
     * Gets the value of the additionalCapacityL property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getAdditionalCapacityL() {
        return additionalCapacityL;
    }

    /**
     * Sets the value of the additionalCapacityL property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setAdditionalCapacityL(BigDecimal value) {
        this.additionalCapacityL = value;
    }

    /**
     * Gets the value of the lpgcngCapacityL property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getLPGCNGCapacityL() {
        return lpgcngCapacityL;
    }

    /**
     * Sets the value of the lpgcngCapacityL property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setLPGCNGCapacityL(BigDecimal value) {
        this.lpgcngCapacityL = value;
    }

    public WSFuelTankType withMainCapacityL(BigDecimal value) {
        setMainCapacityL(value);
        return this;
    }

    public WSFuelTankType withAdditionalCapacityL(BigDecimal value) {
        setAdditionalCapacityL(value);
        return this;
    }

    public WSFuelTankType withLPGCNGCapacityL(BigDecimal value) {
        setLPGCNGCapacityL(value);
        return this;
    }

}
